Dangerously delete by source image
POST
https://api.vercel.com/v1/edge-cache/dangerously-delete-by-src-imagesMarks a source image as deleted, causing cache entries associated with that source image to be revalidated in the foreground on the next request. Use this method with caution because one source image can be associated with many paths and deleting the cache can cause many concurrent requests to the origin leading to cache stampede problem. This method is for advanced use cases and is not recommended; prefer using
invalidateBySrcImage instead.https://api.vercel.com/v1/edge-cache/dangerously-delete-by-src-images
const response = await fetch('https://api.vercel.com/v1/edge-cache/dangerously-delete-by-src-images?projectIdOrName=string&teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "revalidationDeadlineSeconds": "123", "srcImages": [] }),});
const data = await response.json();console.log(data);Response
{}AuthorizationbearerToken
Default authentication mechanism
projectIdOrNamestringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
revalidationDeadlineSecondsnumberOptional
srcImagesarrayRequired